%global		commit 283fdf1e0ee0fbaa59bcfe27e7d3069346aa9768
%global		oname torbrowser_launcher
Name:		torbrowser-launcher
Version:	0.1.9
Release:	2%{?dist}
Summary:	Tor Browser Bundle managing tool
License:	MIT
URL:		https://github.com/micahflee/torbrowser-launcher
Source0:	https://github.com/micahflee/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	python2-devel
BuildRequires:	python-psutil
BuildRequires:	python-twisted
BuildRequires:	wmctrl
Requires:	python-psutil
Requires:	python-twisted
Requires:	wmctrl
Requires:	python2
Requires:	gnupg
Requires:	python-service-identity
Requires:	python-txsocksx

%description
Tor Browser Launcher is intended to make the Tor Browser Bundle (TBB)
easier to maintain and use for GNU/Linux users. You install
torbrowser-launcher from your distribution's package manager
and it handles everything else, including:

* Downloading the most recent version of TBB for you,
  in your language and for your architecture
* Automatically updating
* Verifying the TBB's GnuPG signature
* Adding a "Tor Browser" application launcher to your desktop environment's menu

%prep
%setup -q -n %{name}-%{commit}

# We need to specify the distro we are building on, Fedora!
sed -i 's#distro = .*#distro = "Fedora"#g' setup.py
sed -i 's/Ubuntu/Fedora/g' setup.py
sed -i -r "s/^([ \t]+)self.label1 = gtk.Label\(_\('Not installed'\)\)/\
\1self.label1 = gtk.Label\(_\('Not installed'\)\)\n\1self.tor_update_checkbox.\
set_active\(False\)/g" torbrowser_launcher/settings.py

%build
%{__python2} setup.py build

%install
find . -name apparmor -type d -print0|xargs -0 rm -r --
%{__python2} setup.py install --skip-build --root %{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/torbrowser.desktop

%files
%{_bindir}/%{name}
%doc LICENSE README.md
%{_datadir}/applications/*
%{_datadir}/appdata/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%{python2_sitelib}/%{oname}-%{version}-py2.7.egg-info
%{python2_sitelib}/%{oname}/*

%changelog
* Mon Mar 02 2015 Robert Mayr <robyduck@fedoraoproject.org> 0.1.9-2
- bump release to version 0.1.9
- fix bug when firefox browser is already open
- don't check for updates at first install

* Wed Feb 25 2015 Robert Mayr <robyduck@fedoraoproject.org> 0.1.8-1
- downgrade to latest working version and fix minor bugs
- Import new TBB GPG keys for download
- fix insane spec file and changelog

* Sat Jan 24 2015 Robert Mayr <robyduck@fedoraoproject.org> 0.1.9-1
- fix required txsocksx and service-identity
- bump to last version available

* Wed Nov 26 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.7-1
- Fixes bug #1167576
- You can now pass URLs into TBL, and set it as your default browser
- Hides TBL window before launching TBB
- Default mirror switched to https://dist.torproject.org/
- Added AppData file to look better in software centers
- Exclude AppArmor profiles in Ubuntu, where they're broken

* Thu Nov 06 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.6-3
- Fix broken dependencies bug

* Sat Oct 18 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.6-2
- Remove shortcommit from spec file

* Thu Oct 16 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.6-1
- Fixed bug related to TBB 4.0's new folder structure
- Updated .desktop files to comply with standards
- Updated licensing confusion to just be MIT in all locations

* Sun Oct 12 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.5-3
- Remove apparmor and bump release

* Sat Oct 11 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.5-2
- License fix and Source URL commit

* Fri Oct 10 2014 Robert Mayr <robyduck@fedoraoproject.org> 0.1.5-1
- Initial package for Fedora